Main Page Modules Data Structures File List Data Fields Globals Related Pages

# DBCursorObject Struct Reference

## Data Fields
PyObject_HEAD DBC * | dbc
DBObject * | mydb

## Field Documentation

PyObject_HEAD DBC* DBCursorObject::dbc

| Definition at line 203 of file _rpmdb.c. Referenced by _DBCursor_get, DBC_close, DBC_count, DBC_delete, DBC_dup, DBC_get, DBC_get_both, DBC_get_recno, DBC_join_item, DBC_put, DBC_set, DBC_set_range, DBC_set_recno, DBCursor_dealloc, and newDBCursorObject.

DBObject* DBCursorObject::mydb

| Definition at line 204 of file _rpmdb.c. Referenced by _DBCursor_get, DBC_delete, DBC_dup, DBC_get, DBC_get_both, DBC_get_recno, DBC_join_item, DBC_put, DBC_set, DBC_set_range, DBC_set_recno, DBCursor_dealloc, and newDBCursorObject.

The documentation for this struct was generated from the following file:

- python/_rpmdb.c